Bug 529597 (CVE-2009-3620) - CVE-2009-3620 kernel: r128 IOCTL NULL pointer dereferences when CCE state is uninitialised
Summary: CVE-2009-3620 kernel: r128 IOCTL NULL pointer dereferences when CCE state is ...
Status: CLOSED ERRATA
Alias: CVE-2009-3620
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=rt,reported=20...
Keywords: Security
Depends On: 529598 529599 529600 529601 529602 529603 531630 537299
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-19 04:52 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:50 UTC (History)
15 users (show)

(edit)
Clone Of:
: 531630 (view as bug list)
(edit)
Last Closed: 2012-03-28 08:08:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1540 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2009-11-03 18:21:07 UTC
Red Hat Product Errata RHSA-2009:1670 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-12-15 17:18:47 UTC
Red Hat Product Errata RHSA-2009:1671 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-12-15 17:18:22 UTC
Red Hat Product Errata RHSA-2010:0882 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-12 09:36:39 UTC

Description Eugene Teo (Security Response) 2009-10-19 04:52:04 UTC
Quoting from the upstream commit:
Almost all r128's private ioctls require that the CCE state has already been initialised.  However, most do not test that this has been done, and will proceed to dereference a null pointer.  This may result in a security vulnerability, since some ioctls are unprivileged.

This adds a macro for the common initialisation test and changes all ioctl implementations that require prior initialisation to use that macro.

Also, r128_do_init_cce() does not test that the CCE state has not been initialised already.  Repeated initialisation may lead to a crash or resource leak.  This adds that test.

http://git.kernel.org/linus/7dc482dfeeeefcfd000d4271c4626937406756d7

Other references:
http://secunia.com/advisories/36707/

Comment 3 errata-xmlrpc 2009-11-03 18:21:21 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:1540 https://rhn.redhat.com/errata/RHSA-2009-1540.html

Comment 4 Fedora Update System 2009-11-05 05:14:49 UTC
kernel-2.6.27.38-170.2.113.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.38-170.2.113.fc10

Comment 5 Fedora Update System 2009-11-06 00:05:05 UTC
kernel-2.6.27.38-170.2.113.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2009-12-15 17:18:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1671 https://rhn.redhat.com/errata/RHSA-2009-1671.html

Comment 8 errata-xmlrpc 2009-12-15 17:19:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1670 https://rhn.redhat.com/errata/RHSA-2009-1670.html

Comment 12 errata-xmlrpc 2010-11-12 09:37:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3 Extended Lifecycle Support

Via RHSA-2010:0882 https://rhn.redhat.com/errata/RHSA-2010-0882.html


Note You need to log in before you can comment on or make changes to this bug.